.. _scripts:

================================
Command line Scripts (`scripts`)
================================
The scripts to be executed from the command line are described below:

.. note::
   Currently both `scripts` and `Tools` are meant to be run from the command line.
   Please see also :ref:`tools` section for more information.

* `lstchain_check_dl1`_
* `lstchain_create_run_summary`_
* `lstchain_data_create_time_calibration_file`_
* `lstchain_data_r0_to_dl1`_
* `lstchain_dl1_muon_analysis`_
* `lstchain_dl1ab`_
* `lstchain_dump_config`_
* `lstchain_find_pedestals`_
* `lstchain_longterm_dl1_check`_
* `lstchain_mc_r0_to_dl1`_
* `lstchain_mc_r0_to_dl2`_
* `lstchain_mc_rfperformance`_
* `lstchain_mc_sensitivity`_
* `lstchain_mc_trainpipe`_
* `lstchain_merge_hdf5_files`_
* `lstchain_merge_muon_files`_
* `lstchain_tune_nsb`_


.. _lstchain_check_dl1:

lstchain_check_dl1
++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_check_dl1

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_check_dl1
   :func: parser
   :prog: lstchain_check_dl1

.. _lstchain_create_run_summary:

lstchain_create_run_summary
+++++++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_create_run_summary

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_create_run_summary
   :func: parser
   :prog: lstchain_create_run_summary

.. _lstchain_data_create_time_calibration_file:

lstchain_data_create_time_calibration_file
++++++++++++++++++++++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_data_create_time_calibration_file

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_data_create_time_calibration_file
   :func: parser
   :prog: lstchain_data_create_time_calibration_file

.. _lstchain_data_r0_to_dl1:

lstchain_data_r0_to_dl1
+++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_data_r0_to_dl1

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_data_r0_to_dl1
   :func: parser
   :prog: lstchain_data_r0_to_dl1

.. _lstchain_dl1_muon_analysis:

lstchain_dl1_muon_analysis
++++++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_dl1_muon_analysis

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_dl1_muon_analysis
   :func: parser
   :prog: lstchain_dl1_muon_analysis


.. _lstchain_dl1ab:

lstchain_dl1ab
++++++++++++++

.. automodule:: lstchain.scripts.lstchain_dl1ab

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_dl1ab
   :func: parser
   :prog: lstchain_dl1ab


.. _lstchain_find_pedestals:

lstchain_find_pedestals
+++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_find_pedestals

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_find_pedestals
   :func: parser
   :prog: lstchain_find_pedestals

.. _lstchain_longterm_dl1_check:

lstchain_longterm_dl1_check
+++++++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_longterm_dl1_check

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_longterm_dl1_check
   :func: parser
   :prog: lstchain_longterm_dl1_check

.. _lstchain_mc_r0_to_dl1:

lstchain_mc_r0_to_dl1
+++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_mc_r0_to_dl1

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_mc_r0_to_dl1
   :func: parser
   :prog: lstchain_mc_r0_to_dl1

.. _lstchain_mc_r0_to_dl2:

lstchain_mc_r0_to_dl2
+++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_mc_r0_to_dl2

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_mc_r0_to_dl2
   :func: parser
   :prog: lstchain_mc_r0_to_dl2


.. _lstchain_mc_rfperformance:

lstchain_mc_rfperformance
+++++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_mc_rfperformance

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_mc_rfperformance
   :func: parser
   :prog: lstchain_mc_rfperformance


.. _lstchain_mc_sensitivity:

lstchain_mc_sensitivity
+++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_mc_sensitivity

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_mc_sensitivity
   :func: parser
   :prog: lstchain_mc_sensitivity

.. _lstchain_mc_trainpipe:

lstchain_mc_trainpipe
+++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_mc_trainpipe

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_mc_trainpipe
   :func: parser
   :prog: lstchain_mc_trainpipe

.. _lstchain_merge_hdf5_files:

lstchain_merge_hdf5_files
+++++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_merge_hdf5_files

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_merge_hdf5_files
   :func: parser
   :prog: lstchain_merge_hdf5_files

.. _lstchain_lstchain_merge_muon_files:

lstchain_merge_muon_files
+++++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_merge_muon_files

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_merge_muon_files
   :func: parser
   :prog: lstchain_merge_muon_files

.. _lstchain_tune_nsb:

lstchain_tune_nsb
++++++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_tune_nsb

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_tune_nsb
   :func: parser
   :prog: lstchain_tune_nsb


lstchain\_dump\_config 
++++++++++++++++++++++++++++++++++++++++++++++

.. automodule:: lstchain.scripts.lstchain_dump_config

Usage
-----
.. argparse::
   :module: lstchain.scripts.lstchain_dump_config
   :func: build_parser
   :prog: lstchain_dump_config
